View Single Post
Old 13 March 2010, 00:39   #11
Registered User
frikilokooo's Avatar
Join Date: Mar 2007
Location: Mallorca,Spain.
Age: 36
Posts: 1,117
I use a MAME old version because CP1,CP2,NEOGEO games don't work with the newest versions to me.Even the roms used in MAME newest versions stop working in older versions,weird
frikilokooo is offline  
Page generated in 0.04797 seconds with 9 queries